Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 517716 - net-wireless/broadcom-sta does not check for !CONFIG_BCMA
Summary: net-wireless/broadcom-sta does not check for !CONFIG_BCMA
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: M. B.
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-21 19:30 UTC by Thomas Raschbacher
Modified: 2014-07-22 02:11 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
broadcom-sta-6.30.223.248.ebuild (broadcom-sta-6.30.223.248.ebuild,2.76 KB, text/plain)
2014-07-21 20:15 UTC, M. B.
Details
broadcom-sta-6.30.223.248-r1.ebuild (broadcom-sta-6.30.223.248-r1.ebuild,2.69 KB, text/plain)
2014-07-21 22:27 UTC, M. B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Raschbacher gentoo-dev 2014-07-21 19:30:45 UTC
net-wireless/broadcom-sta does not check for !CONFIG_BCMA, which also conflicts with wl.ko
Comment 1 Thomas Raschbacher gentoo-dev 2014-07-21 19:39:46 UTC
While you are at it please consider addin the README to /usr/share/doc when installing (as we just discussed on IRC anyway ^ ^ )
Comment 2 M. B. 2014-07-21 20:15:41 UTC
Created attachment 381280 [details]
broadcom-sta-6.30.223.248.ebuild

As requested :)

--- broadcom-sta-6.30.223.248.ebuild.old	2014-07-15 23:27:47.727953568 +0200
+++ broadcom-sta-6.30.223.248.ebuild	2014-07-21 22:10:31.192134400 +0200
@@ -9,7 +9,8 @@
 HOMEPAGE="http://www.broadcom.com/support/802.11/linux_sta.php"
 SRC_BASE="http://www.broadcom.com/docs/linux_sta/hybrid-v35"
 SRC_URI="x86? ( ${SRC_BASE}-nodebug-pcoem-${PV//\./_}.tar.gz )
-	amd64? ( ${SRC_BASE}_64-nodebug-pcoem-${PV//\./_}.tar.gz )"
+	amd64? ( ${SRC_BASE}_64-nodebug-pcoem-${PV//\./_}.tar.gz )
+	http://www.broadcom.com/docs/linux_sta/README_${PV}.txt"
 
 LICENSE="Broadcom"
 KEYWORDS="-* ~amd64 ~x86"
@@ -32,6 +33,7 @@
 	CONFIG_CHECK="~!B43 ~!SSB"
 	CONFIG_CHECK2="LIB80211 ~!MAC80211 ~LIB80211_CRYPT_TKIP"
 	ERROR_B43="B43: If you insist on building this, you must blacklist it!"
+	ERROR_BCMA="BCMA: If you insist on building this, you must blacklist it!"
 	ERROR_SSB="SSB: If you insist on building this, you must blacklist it!"
 	ERROR_LIB80211="LIB80211: Please enable it. If you can't find it: enabling the driver for \"Intel PRO/Wireless 2100\" or \"Intel PRO/Wireless 2200BG\" (IPW2100 or IPW2200) should suffice."
 	ERROR_MAC80211="MAC80211: If you insist on building this, you must blacklist it!"
@@ -55,6 +57,12 @@
 	BUILD_TARGETS="wl.ko"
 }
 
+src_unpack() {
+	unpack ${A}
+
+	cp "${DISTDIR}/README_${PV}.txt" "${S}"
+}
+
 src_prepare() {
 	epatch \
 		"${FILESDIR}/${PN}-6.30.223.141-license.patch" \
@@ -65,3 +73,10 @@
 
 	epatch_user
 }
+
+src_install() {
+    #emake DESTDIR="${D}" install
+	linux-mod_src_install
+
+    dodoc "${WORKDIR}/README_${PV}.txt"
+}
Comment 3 M. B. 2014-07-21 22:27:46 UTC
Created attachment 381286 [details]
broadcom-sta-6.30.223.248-r1.ebuild

okay, a few more changes.

--- broadcom-sta-6.30.223.248.ebuild	2014-07-21 22:20:40.077262772 +0200
+++ broadcom-sta-6.30.223.248-r1.ebuild	2014-07-22 00:26:00.040033594 +0200
@@ -9,7 +9,8 @@
 HOMEPAGE="http://www.broadcom.com/support/802.11/linux_sta.php"
 SRC_BASE="http://www.broadcom.com/docs/linux_sta/hybrid-v35"
 SRC_URI="x86? ( ${SRC_BASE}-nodebug-pcoem-${PV//\./_}.tar.gz )
-	amd64? ( ${SRC_BASE}_64-nodebug-pcoem-${PV//\./_}.tar.gz )"
+	amd64? ( ${SRC_BASE}_64-nodebug-pcoem-${PV//\./_}.tar.gz )
+	http://www.broadcom.com/docs/linux_sta/README_${PV}.txt -> README-${P}.txt"
 
 LICENSE="Broadcom"
 KEYWORDS="-* ~amd64 ~x86"
@@ -29,9 +30,10 @@
 	# NOTE<lxnay>: module builds correctly anyway with b43 and SSB enabled
 	# make checks non-fatal. The correct fix is blackisting ssb and, perhaps
 	# b43 via udev rules. Moreover, previous fix broke binpkgs support.
-	CONFIG_CHECK="~!B43 ~!SSB"
+	CONFIG_CHECK="~!B43 ~!BCMA ~!SSB"
 	CONFIG_CHECK2="LIB80211 ~!MAC80211 ~LIB80211_CRYPT_TKIP"
 	ERROR_B43="B43: If you insist on building this, you must blacklist it!"
+	ERROR_BCMA="BCMA: If you insist on building this, you must blacklist it!"
 	ERROR_SSB="SSB: If you insist on building this, you must blacklist it!"
 	ERROR_LIB80211="LIB80211: Please enable it. If you can't find it: enabling the driver for \"Intel PRO/Wireless 2100\" or \"Intel PRO/Wireless 2200BG\" (IPW2100 or IPW2200) should suffice."
 	ERROR_MAC80211="MAC80211: If you insist on building this, you must blacklist it!"
@@ -65,3 +67,9 @@
 
 	epatch_user
 }
+
+src_install() {
+	linux-mod_src_install
+
+	dodoc "${DISTDIR}/README-${P}.txt" || die
+}
Comment 4 M. B. 2014-07-21 22:29:36 UTC
Please commit this as broadcom-sta-6.30.223.248-r1.ebuild.
Comment 5 Yixun Lan archtester gentoo-dev 2014-07-22 02:11:53 UTC
+*broadcom-sta-6.30.223.248-r1 (22 Jul 2014)
+
+  22 Jul 2014; Yixun Lan <dlan@gentoo.org> -broadcom-sta-6.30.223.248.ebuild,
+  +broadcom-sta-6.30.223.248-r1.ebuild:
+  bug 517716, fix not checking CONFIG_BCMA, thanks M.B <tomboy64 at sina.cn>


EAPI=5 is just the same as EAPI="5", no need change

dodoc don't need "|| die" [1]
[1] http://devmanual.gentoo.org/ebuild-writing/error-handling/index.html